Java Embedding Plugin
Your rating: Now say why...

(9) 4.583333333333333

Allows browsers to use latest Java.   Free
Add to my Watch List
Email me when discounted
Java Embedding Plugin is a utility (currently in beta release) that allows other Web browsers than Apple's Safari to use the most recent versions of Java (1.4.X) on Mac OS X. Currently it supports recent versions of the Mozilla "family" of browsers, when used together with an updated version of Mozilla's MRJ Plugin Carbon (included in this distribution). But in principle any Web browser could use one of the Java Embedding Plugin's two APIs to add support for Java 1.4.X.

The current versions of the Java Embedding Plugin and the updated MRJ Plugin Carbon have been tested with Mozilla
What's New
Version 0.9.7.5:
  • Fix a security-related bug in the MRJ Plugin JEP, having to do with JavaScript-to-Java LiveConnect.
  • Work around changes in Apple's latest Java updates that cause previous versions of the Java Embedding Plugin to leak all Java applets.
  • Work around another change in Apple's latest Java updates that can cause spurious permission failures on OS X 10.6.X when applet code is accessed via LiveConnect from JavaScript.
Version 0.9.7.5:
  • Fix a security-related bug in the MRJ Plugin JEP, having to do with JavaScript-to-Java LiveConnect.
  • Work around changes in Apple's latest Java updates that cause previous versions of the Java Embedding Plugin to leak all Java applets.
  • Work around another change in Apple's latest Java updates that can cause spurious permission failures on OS X 10.6.X when more...
Requirements
Intel/PPC, Mac OS X 10.4.11 or later






Java Embedding Plu... User Discussion (Write a Review)
ver. 0.x:
(9)
Your rating: Now say why...
Overall:
(9)

sort: smiles | time
burypromote
+4

+328
Umaromc commented on 01 Sep 2011
"...Java Embedding Plugin has for the last few years been bundled with current Mac distributions of all the Mozilla browsers -- Firefox, Seamonkey and Camino. So if you're using one of these browsers, you don't need to install the Java Embedding Plugin."
[Version 0.9.7.5]

1 Reply

burypromote

-1277
Libertyforall1776 replied on 01 Sep 2011
I couldn't find it in the Firefox 6.01 app wrapper -- where did you find it?
burypromote
-5

-1277
Libertyforall1776 commented on 14 Nov 2010
.9.7.4 is embedded in the App Wrapper for Firefox 3.6.12 -- but I cannot find this version on the SourceForge site...
[Version 0.9.7.3]

1 Reply

burypromote
+2

-1277
Libertyforall1776 replied on 31 Aug 2011
Changes From Version 0.9.7.3 to 0.9.7.4

1. Fix a security-related bug in the MRJ Plugin JEP, having to do with
JavaScript-to-Java LiveConnect.

This resolves the following bug (to which access is, for the time
being, restricted):

https://bugzilla.mozilla.org/show_bug.cgi?id=589041

2. The Java Embedding Plugin is now able to read user-specified Java
runtime parameters on OS X 10.5.X and 10.6.X, even in Apple's
latest Java Updates for these OS versions.

This resolves the following bug:

http://sourceforge.net/tracker/?func=detail&aid=3033144&group_id=107955&atid=649116

For more information see getRuntimeParamsFromJavaHome in
AppletView.m.

3. Allow Java applets to read the "http.agent" property. This
resolves a problem with JMOL applets (http://jmol.sourceforge.net/)
running on OS X 10.6.X: Before this change, they would always fail
with an access violation trying to read this property.

For more information search on "http.agent" in AppletView.m.
burypromote
-1

-216
Kosovar1 commented on 11 Mar 2010
From the developer's own notes that are included with the plugin:

"5. The Java Embedding Plugin currently won't build on Apple's
forthcoming Mac OS X 10.6 (SnowLeopard)."

"6. The Java Embedding Plugin currently doesn't support user-specified
Java runtime parameters on Mac OS X 10.6 (SnowLeopard)."

How then, can this plugin get 4 1/2 stars when it DOESN'T EVEN WORK with Snow Leopard?
[Version 0.9.7.3]

1 Reply

burypromote
+2

+41
Lookin2it replied on 17 Mar 2011
Have you forgotten that there are other people in the world besides you? Good grief, there are plenty of people who, for various reasons, are not running the most up to date operating system. If the developer details the software requirements, what's your beef?

As for the 4 1/2 stars, you can clearly see that there have been 16 others (besides yoursellf) who have posted comments/reviews and there have been over 3,500 downloads of this version of the software. It does not appear that you have anything to be SCREAMING about.
burypromote
+1

+305

Jcraig reviewed on 18 Dec 2006
Bug fixes and speed increase make this an excellent update. Thanks Steven!
[Version 0.9.6]


burypromote
zire71man commented on 23 Oct 2005
Works great...Keep it up!!!
[Version 0.9.5]

1 Reply

burypromote
zire71man replied on 02 Nov 2005
Works with firefox 1.0.7...nice job...
burypromote


Anonymous reviewed on 17 Sep 2005
Well, partial success - Mozilla 1.7.11 operates correctly - passes Sun dot com's JVM test (dancing duke) and chat.yahoo.com . . .

What is going on that SeaMonkey, Camino, and Firefox can't operate nicely with it?

10.3.9 + Java Security Update
[Version 0.9.4]

1 Reply

burypromote
___ A.M.M___ replied on 28 Oct 2007
I THINK THIS SITE IS COOL,I JUST WANNA TRY
burypromote


Anonymous reviewed on 17 Sep 2005
0.9.4 didn't fix it on my machine.

SeaMonkey, Camino 1.0 alpha 1,
Firefox 1.0.6 still will not load
any java applet for Yahoo.

:-(
[Version 0.9.4]


burypromote


Anonymous reviewed on 16 Sep 2005
Here is an explanation of why it is not working. http://sourceforge.net/tracker/index.php?func=detail&aid=1291312&group_id=107955&atid=649116

I have the same problem, I am having to use Safari for playing Pogo games. I had forgot how slow Safari is.
[Version 0.9.3]


burypromote


Anonymous reviewed on 15 Sep 2005
This has stopped working...I don't know if it's the new version of firefox or the new java update that just came out. I tried to download the beta from sourceforge but it didn't work either. Now I have to switch to Safari to play yahoo games...
[Version 0.9.3]


burypromote


Anonymous reviewed on 26 Jul 2005
Firefox 1.06 on OS-X 1039: "dyld: /Applications/Firefox.app/Contents/MacOS/firefox-bin file is not a regular file: /Library/Internet Plug-Ins/MRJPlugin.plugin (can't possibly be a library)" and closes.
I have made sure to 'touch' modification date of MRJplugin. Didn't though touch "Java Applet.plugin" and "Java Applet Plugin Enabler" since on those, the readme only says 'check the file dates' but nothing else.
Any ideas?
[Version 0.9.3]


burypromote

+1
vivi22 had trouble on 28 Apr 2009
How can I install Java Embedding Plugin 0.9.7. in my MacBook Pro. Please help me
[Version 0.9.7]

2 Replies

burypromote
+1

+305
Jcraig commented on 28 Apr 2009
If you are using nightly builds of Firefox or Camino, you need not do anything as JEP is included in the app package. Otherwise, see the info on this page:

http://javaplugin.sourceforge.net/Readme.html#h-III
burypromote

+201
Zo219 replied on 10 Mar 2010
Put it in the Internet Plugins Folder in the main Library Folder.
burypromote
-1

+1
vivi22 had trouble on 28 Apr 2009
How can I install Java Embedding Plugin 0.9.7. in my MacBook Pro. Please help me
[Version 0.9.7]


There are currently no ratings. Write a comment or review now.

Downloads:76,584
Version Downloads:46,545
Type:Internet : Plug-ins
License:Free
Date:13 Dec 2011
Platform:PPC 32 / Intel 32 / OS X
Price:Free0.00
Overall (Version 0.x):
Features:
Ease of Use:
Value:
Stability:
Displaying 1-10 of 18
1 2 >
Displaying 1-2 of 2
-
-
-
Please login or create a new
MacUpdate Member account
to use this feature
Watch Lists are available to
MacUpdate Desktop Members
Upgrade Now
Install with MacUpdate Desktop.
Save time moving files & cleaning
up space wasting archives.
Java Embedding Plugin is a utility (currently in beta release) that allows other Web browsers than Apple's Safari to use the most recent versions of Java (1.4.X) on Mac OS X. Currently it supports recent versions of the Mozilla "family" of browsers, when used together with an updated version of Mozilla's MRJ Plugin Carbon (included in this distribution). But in principle any Web browser could use one of the Java Embedding Plugin's two APIs to add support for Java 1.4.X.

The current versions of the Java Embedding Plugin and the updated MRJ Plugin Carbon have been tested with Mozilla 1.6 and 1.7.X, Firefox 0.8 and 0.9.X, and Camino 0.7 and 0.8.X on OS X 10.2.8 with Java 1.4.1 and OS X 10.3.5 with Java 1.4.2 Update 1 and Java 1.4.2 Update 2.

The current version (0.8.6) of the Java Embedding Plugin has not been tested with Java 1.4.2 "plain" or on Mac OS X 10.3.3 or 10.3.4. But previous versions of the JEP (e.g. 0.8.2) worked in these environments, and so (I believe) should version 0.8.6.

Apple's Java 1.4.2 and above have one additional requirement, unrelated to the Java Embedding Plugin -- an appropriate version of the JavaPluginCocoa.bundle must be present in the /Library/Internet Plug-Ins folder.


- -